### Function

# Camel debug_start

#### Declaration [src]

    gboolean
    camel_debug_start (
      const gchar* mode
    )

#### Description [src]

Start debug output for a given mode, used to make sure debug output is output atomically and not interspersed with unrelated stuff.

#### Parameters

`mode`

  Type: `const gchar*`

  String name of the mode to start the debug for.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if mode is set, and in which case, you must call `camel_debug_end()` when finished any screen output.